Subject: Re: [PATCH] git-cvsserver runs hooks/post-receive

From: Junio C Hamano <[email-masked]>
Date: Fri, 30 Nov 2007 18:37:01 -0800

Michael Witten <[email-masked]> writes:

>> I gave only a very cursory look; looks Ok to me.  This makes me wonder
>> if post-update wants to run as well.
>
> Seems like post-receive is supposed to supersede post-update anyhow,
> so might as well leave post-update out at this point?

I'll queue your patch, but I think it should be enhanced to support
post-update for consistency.  I do not think anybody said anything about
deprecating let alone dropping support for post-update so far.

When we talk about deprecation and later removal of post-update hook, we
should drop that additional support from cvsserver and receive-pack at
the same time, but not before that.